<template>
    <div id="center">
        <h1>{{ counter }}</h1>
        <button @click.right="counterUp">Counter Up</button>
        <br>
        <br>
        <button @click="counterDown">Counter Donw</button>
    </div>
</template>

<script>
    export default {
        name:'CounterView',
        data(){
            return{
                counter: 0,
            }
        },
        methods:{
            counterUp(){
                this.counter++
            },
            counterDown(){
                this.counter--
            },
        },
    }
</script>

<style>
    h1{
        color: red;
    }
    #center{
        text-align: center;
    }
</style>